Subject: TEST: Sleep patch #6

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 05 Dec 2004 21:25:28 +1100

(As usual, I'm cross posting several lists, please don't reply to all of them,
and CC me as I'm not subscribed to all of them neither)

Ok, here's the 7th version of the sleep patch for ATI based albooks &
iBook G4. Other machine users, please test too as it may cause
regressions (or improvements) as well.

The cache flush problem happens to not be completely fixed yet :( There is
something going on that I don't completely explain yet, might be related to
an errata of some CPU revisions. This version of the patch adds a load/flush
loop before the L2 HW flush on the 745x that appear to make the thing stable
on the machines I've tested on. It's a good enough workaround for now, I'm
working with freescale to find out what's really going on though.

http://gate.crashing.org/~benh/albook-ibookg4-sleep-7.diff

Ben.